Bug 986235 - iscsiadm is returning different error code when trying to remove a session that does not exist.
iscsiadm is returning different error code when trying to remove a session th...
Status: ASSIGNED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: iscsi-initiator-utils (Show other bugs)
7.0
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Chris Leech
Martin Hoyer
:
Depends On:
Blocks: 1482102
  Show dependency treegraph
 
Reported: 2013-07-19 05:46 EDT by Bruno Goncalves
Modified: 2017-08-16 09:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1482102 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bruno Goncalves 2013-07-19 05:46:03 EDT
Description of problem:
When trying to delete a session that does not exist the newer version of iscsi-initiator-utils return different value.

---------

iscsi-initiator-utils-6.2.0.873-2.el7.x86_64

iscsiadm -m session -o new -r 0
iscsiadm: could not read session targetname: 5
iscsiadm: Could not get session info for sid 0

echo $?
22
---------
iscsi-initiator-utils-6.2.0.873-7.el7.x86_64

iscsiadm -m session -o new -r 0
iscsiadm: 0 is an invalid session ID or path

echo $?
1

Version-Release number of selected component (if applicable):
iscsi-initiator-utils-6.2.0.873-7.el7.x86_64

How reproducible:
100%


Is this a bug or the new error code is the expected one?
Comment 2 Ludek Smid 2014-06-26 06:47:15 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.
Comment 3 Ludek Smid 2014-06-26 07:15:32 EDT
The comment above is incorrect. The correct version is bellow.
I'm sorry for any inconvenience.
---------------------------------------------------------------

This request was NOT resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you need
to escalate this bug.
Comment 4 Bruno Goncalves 2014-10-08 09:19:05 EDT
It is still reproducible on RHEL-7.0

iscsi-initiator-utils-6.2.0.873-21.
Comment 5 Bruno Goncalves 2014-10-30 11:07:18 EDT
Reproducible with iscsi-initiator-utils-6.2.0.873-22.el7
Comment 7 Martin Hoyer 2016-08-02 07:36:48 EDT
Still reproducible with iscsi-initiator-utils-6.2.0.873-34.el7

Note You need to log in before you can comment on or make changes to this bug.